declare global {
  // See Vite documentation for `import.meta.env` usage.
  // https://vitejs.dev/guide/env-and-mode.html

  interface ImportMeta {
    readonly env: ImportMetaEnv;
  }

  interface ImportMetaEnv {
    readonly BASE_URL: string;
    readonly DEV: boolean;
    readonly MODE: string;
    readonly PROD: boolean;
    readonly VITE_BROWSER: "chromium" | "firefox";
  }

  interface Window {
    "Re-Nav": {
      decodeBase64<T>(base64: string): T;
      encodeBase64(source: any): string;
      share(redirect: Redirect): string;
    };
  }

  type Redirect = {
    matcherType: string;
    matcherValue: string;
    redirectType: string;
    redirectValue: string;
  };
}

// Make TypeScript see this file as a module.
export {};
